Skip to navigation

Get the node metrics data.

View as Markdown

Retrieve the node metrics data by Universally Unique Identifier (UUID).

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

nodeIdstringRequiredformat: "uuid">=1 character
The node UUID.

Query parameters

metricTypelist of enumsRequired
Specify which data to request.
startdatetimeRequired
Start date of time range to fetch data in ISO 8601 timestamp format.
enddatetimeRequired
End date of time range to fetch data in ISO 8601 timestamp format.
numberOfSamplesintegerOptional0-1000Defaults to 20
The number of samples to take in the specified time range.

Response

Executed successfully.
measurementslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error